import db from '$lib/server/db';
import type { tableData } from '../db/data';
import type { PageServerLoad } from './$types';

async function loadChunks() {
  return await db.query.chunkTable.findMany({
    with: {
      source: {
        with: {
          publisher: true,
        }
      },
      tables: {
        with: {
          outcomes: true,
        }
      }
    }
  })
}

export const load: PageServerLoad = async () => {
  const chunks = await loadChunks()
  console.log(chunks[0].tables)
  return { chunks };
};
